Bug 184483 - USB HD Install - updated kernel does not boot
USB HD Install - updated kernel does not boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 02:19 EST by Phil
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:55:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil 2006-03-09 02:19:16 EST
Description of problem:
while i have been able to boot FC4 from my external USB HD with the first
released kernel i am unable to boot with an upgraded kernel.


Version-Release number of selected component (if applicable):
Current kernel verion that i am attempting with
2.6.15-1.1833_FC4


How to reproduce:
1. install FC4 on to an external WD260GB
2. use install dvd to boot in to rescue mode.
3. chroot install.
4. # mkinitrd --preload=ehci-hcd --preload=usb-storage --preload=scsi_mod
--preload=sd_mod /boot/usbinitrd-<Kernel Version>.img <Kernel Version>
5. modify grub.conf to use new RD then reboot.
6. yum -y update, rerun mkinitrd script - this was done after a reboot.
7. boot from the updated grub entry.
8. voila, kernel panic!

i am still able to boot with the first kernel release.....


Error Message:

Uncompressing Linux... Ok, booting the kernel.
Red Hat nash version 4.2.15 starting
sda: assuming drive cache: write through
sda: assuming drive cache: write through
mkrootdev: label / not found
mount: error 2 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel Panic - not syncing: Attempted to kill init!


Additional info:
with the kernel update before this it got to initing the runlevel and then
paniced saying that /sbin/mingetty not found.  it went through every run level
and then PANIC nothing left to do for this run level.....

i gunzipped and mounted initrd to make sure it was using all of the latest
drivers, which it was.
Comment 1 Dave Jones 2006-09-16 23:06:28 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:14:11 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 17:55:02 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.